PathSensitivity (Gradle API 4.5.1)
Date: 2018-02-05

org.gradle.api.tasks

## Enum PathSensitivity

- java.lang.Object
- - java.lang.Enum<PathSensitivity>
  - - org.gradle.api.tasks.PathSensitivity

- All Implemented Interfaces:
    Serializable, Comparable<PathSensitivity>

      @Incubating
      public enum PathSensitivity
      extends Enum<PathSensitivity>

  Enumeration of different path handling strategies for task properties.
  Since:
    3.1
  See Also:
    `PathSensitive`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` Consider the full path of files and directories.
    `NAME_ONLY` Consider only the name of files and directories.
    `NONE` Ignore file paths and directories altogether.
    `RELATIVE` Use the location of the file related to a hierarchy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathSensitivity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PathSensitivity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final PathSensitivity ABSOLUTE

      Consider the full path of files and directories.

    - #### RELATIVE

          public static final PathSensitivity RELATIVE

      Use the location of the file related to a hierarchy.

    - #### NAME_ONLY

          public static final PathSensitivity NAME_ONLY

      Consider only the name of files and directories.

    - #### NONE

          public static final PathSensitivity NONE

      Ignore file paths and directories altogether.

  - ### Method Detail

    - #### values

          public static PathSensitivity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathSensitivity c : PathSensitivity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathSensitivity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null